List All Campaigns
URL: POST/api/v1/campaigns/list
Request Parameters
| Parameter | Parameter Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | ID of advertiser | integer | Y | Advertiser ID for which the campaign needs to be updated for delivery status |
| Filter[campaignId] | ID of the campaigns you wish to list details for. Note:if no campaignId is specified, all campaigns in the advertiser account will be returned | array | N | Unique numeric identifier. Maximum list size is 25 entries. |
| Filter[name] | Filter based on the list of specified campaign names. If no campaign names are specified, all campaigns in the advertiser account will be returned | string | N | Valid campaign name |
| Filter[status] | Filter based on the campaign status | string | N | Enum values: • draft • live • scheduled • paused • completed |
| Filter[lastModifiedDate] | Filter list of campaigns created or modified on or after this date | string | N | Date should be in format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX Note: date values are converted internally to EST timezone |
| startIndex | Defines at which point in the list to return campaigns. Example: | integer | N | Use startIndex and count to return various selections of the list. |
| count | Defines the total number of campaigns to be returned. Example: | integer | N | Use count and startIndex to return various selections of the list. Note: defaultCount=100, maxCount = 100, minCount = 1 |
Sample Request
curl -X POST \ 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/campaigns/list' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779'
--data '{ "advertiserId": 1, "Filter[campaignId]": [1], "Filter[name]": ["string"], "Filter[status]": "string”, "Filter[lastModifiedDate]": "string", "startIndex": 0, "count": 10 }'
Response
| Element | Description | Type |
|---|---|---|
| totalResults | Number of campaigns returned by the API that match the request criteria | integer |
| response | Attributes of the campaigns returned by the API. The following attributes are listed: • campaignExtId • name • description • objective • Status • startDate • endDate • budgetType • deliverySpeed • dailyBudget • totalBudget • campaignType • mediaType • creationDate • lastUpdatedDate • attributesSetOnAdGroupLevel: It indicates whether the budget, schedule, and delivery |
Sample Response
{ "totalResults": 2, "response": [ { "campaignId": 1, "campaignExtId": 1, "name": "string", "description": "string", "objective": "string", "status": "string", "startDate": "string", "endDate": "string", "budgetType": "DAILY", "deliverySpeed": "string", "dailyBudget": 1.0, "campaignType": "NGD", "creationDate": "string", "lastUpdatedDate": "string", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" }, { "campaignId": 2, "campaignExtId": 2, "name": "string", "description": "string", "objective": "string", "status": "string", "startDate": "string", "endDate": "string", "budgetType": "TOTAL", "deliverySpeed": "string", "totalBudget": 10.0, "campaignType": "NGD", "creationDate": "string", "lastUpdatedDate": "string", "attributesSetOnAdGroupLevel": false, "mediaType": "BANNER" } ]
}Updated 6 days ago
